Automatically dispatch a work order to a qualified provider based on configured dispatch rules.
Automatically dispatch a work order to a qualified provider based on configured dispatch rules.
access_token OAuth 2.0 Access Token
In: query
application/json
Work Order Auto dispatch model
TypeScript Definitions
Use the request body type in TypeScript.
curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/auto_dispatch" \ -H "Content-Type: application/json" \ -d '{ "work_order_ids": [ 1001, 1002 ], "network_ids": [ 50, 51 ], "tiered_auto_dispatch_id": 123, "selection_rule_id": 456, "delay": 60, "w2_skippub": false, "w2_failswitch": true, "should_route": true, "auto_assign": false, "also_publish": true }'{
"__worker": {
"id": 123,
"type": "standard",
"user": {
"thumbnail": "string_value",
"id": "string_value",
"first_name": "John",
"last_name": "Doe"
},
"created": {
"utc": "string_value"
},
"status": "active",
"request": "string_value",
"payload": {
"query": [],
"body": {
"selection_rule_id": 0,
"should_route": true,
"delay": 0,
"work_order_ids": [],
"network_ids": [],
"tiers": []
},
"additional_params": []
},
"response": {},
"correlation_id": "string_value",
"actions": []
}
}{
"status": 400,
"message": "Validation failed: field 'title' is required"
}{
"status": 500,
"message": "Operation successful."
}{
"status": 403,
"message": "You do not have permission to access this work order"
}{
"status": 500,
"message": "An unexpected error occurred. Please try again later or contact support."
}{
"status": 500,
"message": "Operation successful."
}application/json
application/json
application/json
application/json
application/json
application/json
Last updated on
Work Order IDs
Network IDs
Tiered Auto Dispatch ID
Selection rule ID
Delay (ms)
W2 skip publish
W2 fail switch
Should route
Auto assign
Also publish